Skip to main content
POST
List Issue Groups

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Specifies the deployment to which the issues belong.

Body

application/json
deploymentId
string

Specifies the deployment to which the issues belong.

issueType
enum<string>

Deprecated: use issue_types instead. Filters issues to those with the specified type.

Available options:
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
groupBy
enum<string>

Specifies how to group the issues in the response.

Available options:
GROUP_BY_RULE
limit
integer<int64>

Sets the page size of the paginated list of issues.

cursor
string

Cursor used for pagination -- passing no value or an empty string effectively requests the first page.

filter
object

Filters the issues to search and group.

sortBy
enum<string>

Specifies how to sort the issue groups.

Available options:
SORT_BY_ISSUE_COUNTS,
SORT_BY_SEVERITY
sortDirection
enum<string>

Specifies the direction to sort the results.

Available options:
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
issueTypes
enum<string>[]

Filters issues to those with any of the specified types (based on the product which produced these issues). When empty, falls back to the deprecated issue_type field for backward compatibility.

Available options:
ISSUE_TYPE_UNSPECIFIED,
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST

Response

200 - application/json

OK

groups
object[]
cursor
string
total
string
fetched
string